myfaces-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From bom...@apache.org
Subject svn commit: r1794336 - in /myfaces/trinidad/trunk: scripts/release.sh src/site/apt/download.apt
Date Mon, 08 May 2017 11:37:24 GMT
Author: bommel
Date: Mon May  8 11:37:23 2017
New Revision: 1794336

URL: http://svn.apache.org/viewvc?rev=1794336&view=rev
Log:
prepare release

Modified:
    myfaces/trinidad/trunk/scripts/release.sh
    myfaces/trinidad/trunk/src/site/apt/download.apt

Modified: myfaces/trinidad/trunk/scripts/release.sh
URL: http://svn.apache.org/viewvc/myfaces/trinidad/trunk/scripts/release.sh?rev=1794336&r1=1794335&r2=1794336&view=diff
==============================================================================
--- myfaces/trinidad/trunk/scripts/release.sh (original)
+++ myfaces/trinidad/trunk/scripts/release.sh Mon May  8 11:37:23 2017
@@ -16,35 +16,95 @@
 # limitations under the License.
 # -----------------------------------------------------------------------------
 
-# settings:
-VERSION=2.0.0-beta-3
-REPOSITORY=https://repository.apache.org/content/repositories/releases
-
-# download the bits (user-agent to "" is important)
-wget --user-agent="" $REPOSITORY/org/apache/myfaces/trinidad/trinidad-assembly/$VERSION/trinidad-assembly-$VERSION-dist.tar.gz
-wget --user-agent="" $REPOSITORY/org/apache/myfaces/trinidad/trinidad-assembly/$VERSION/trinidad-assembly-$VERSION-dist.zip
-wget --user-agent="" $REPOSITORY/org/apache/myfaces/trinidad/trinidad-example-assembly/$VERSION/trinidad-example-assembly-$VERSION-example.tar.gz
-wget --user-agent="" $REPOSITORY/org/apache/myfaces/trinidad/trinidad-example-assembly/$VERSION/trinidad-example-assembly-$VERSION-example.zip
-wget --user-agent="" $REPOSITORY/org/apache/myfaces/trinidad/trinidad/$VERSION/trinidad-$VERSION-source-release.zip
-
-# rename the dist to the name which is used on the site
-mv trinidad-assembly-$VERSION-dist.zip trinidad-$VERSION-dist.zip
-mv trinidad-assembly-$VERSION-dist.tar.gz trinidad-$VERSION-dist.tar.gz
-
-# rename the example-dist to the name which is used on the site
-mv trinidad-example-assembly-$VERSION-example.zip trinidad-$VERSION-example.zip
-mv trinidad-example-assembly-$VERSION-example.tar.gz trinidad-$VERSION-example.tar.gz
-
-# rename the source to the name which is used on the site
-mv trinidad-$VERSION-source-release.zip trinidad-$VERSION-src-all.zip 
-
-# call the GPG script 
-/home/matzew/gpg-sign-all
-
-# uploading....
-## For alpha/beta (all non 'final' releases), we have to use these URLS:
-# minotaur.apache.org:/www/myfaces.apache.org/dist/binaries
-# minotaur.apache.org:/www/myfaces.apache.org/dist/source
-scp *-dist.* minotaur.apache.org:/www/www.apache.org/dist/myfaces/binaries
-scp *-example.* minotaur.apache.org:/www/www.apache.org/dist/myfaces/binaries
-scp *-src-all.* minotaur.apache.org:/www/www.apache.org/dist/myfaces/source
+set -e
+
+echo "Copying the download artifacts from the repository to the site."
+
+if [ $# -ne 1 ]; then
+    echo "Usage: $0 <version>"
+    exit 1
+fi
+
+VERSION=$1
+
+MAVEN_REPOSITORY=https://repository.apache.org/content/repositories/releases
+DIST_REPOSITORY=https://dist.apache.org/repos/dist/release/myfaces
+
+# download file and hashes/signatures
+download() {
+  DIR="$1"
+  FILE_ON_REPO="$2"
+  FILE="$3"
+
+  curl --fail "${MAVEN_REPOSITORY}/${DIR}/${VERSION}/${FILE_ON_REPO}"      -o ${FILE}
+  curl --fail "${MAVEN_REPOSITORY}/${DIR}/${VERSION}/${FILE_ON_REPO}.asc"  -o ${FILE}.asc
+  curl --fail "${MAVEN_REPOSITORY}/${DIR}/${VERSION}/${FILE_ON_REPO}.md5"  -o ${FILE}.md5
+  curl --fail "${MAVEN_REPOSITORY}/${DIR}/${VERSION}/${FILE_ON_REPO}.sha1" -o ${FILE}.sha1
+}
+
+# this performs check of the hashes (if this fails, something might went wrong absolutely)
+check() {
+  FILE="$1"
+
+  echo "Checking file ${FILE}: "
+  if [ -f /usr/bin/md5sum ]; then
+     md5sum -b "${FILE}" | cut "-d " -f1 > "${FILE}.md5.temp"
+  else
+     md5 -q "${FILE}" > "${FILE}.md5.temp"
+  fi
+
+  if ! diff --ignore-all-space "${FILE}.md5" "${FILE}.md5.temp" ; then
+    echo "Error: MD5 check failed!"
+    exit -1
+  fi
+  echo "  MD5 hash okay"
+
+  shasum -a 1 "${FILE}" | cut "-d " -f1 > "${FILE}.sha1.temp"
+  if ! diff --ignore-all-space "${FILE}.sha1" "${FILE}.sha1.temp" ; then
+    echo "Error: SHA1 check failed!"
+    exit -1
+  fi
+  echo "  SHA1 hash okay"
+
+  if ! gpg --verify "${FILE}.asc" ; then
+    echo "Error: GPG check failed!"
+    exit -1
+  fi
+  echo "  GPG signature okay"
+
+  # todo: change, if maven creates the sha256
+  shasum -a 256 "${FILE}" > "${FILE}.sha256"
+  echo "  SHA-256 created"
+
+}
+
+# this uploads the files into the svn dist repo
+upload() {
+  PATTERN="$1"
+  FOLDER="$2"
+
+  for file in $(find . -type file -name "${PATTERN}" -exec basename \{\} \; ) ; do
+    # echo $file;
+    svn import -m "Uploading Trinidad release artifact ${VERSION} to dist server" $file ${DIST_REPOSITORY}/${FOLDER}/$file;
+  done
+}
+
+# commands
+
+download "org/apache/myfaces/trinidad/trinidad-assembly"         "trinidad-assembly-${VERSION}-dist.tar.gz"
           "trinidad-assembly-${VERSION}-dist.tar.gz"
+download "org/apache/myfaces/trinidad/trinidad-assembly"         "trinidad-assembly-${VERSION}-dist.zip"
              "trinidad-assembly-${VERSION}-dist.zip"
+download "org/apache/myfaces/trinidad/trinidad-example-assembly" "trinidad-example-assembly-${VERSION}-example.tar.gz"
"trinidad-example-assembly-${VERSION}-example.tar.gz"
+download "org/apache/myfaces/trinidad/trinidad-example-assembly" "trinidad-example-assembly-${VERSION}-example.zip"
   "trinidad-example-assembly-${VERSION}-example.zip"
+download "org/apache/myfaces/trinidad/trinidad"                  "trinidad-${VERSION}-source-release.zip"
             "trinidad-${VERSION}-source-release.zip"
+
+check "trinidad-assembly-${VERSION}-dist.tar.gz"
+check "trinidad-assembly-${VERSION}-dist.zip"
+check "trinidad-example-assembly-${VERSION}-example.tar.gz"
+check "trinidad-example-assembly-${VERSION}-example.zip"
+check "trinidad-${VERSION}-source-release.zip"
+
+rm -f *.temp
+
+upload "trinidad-assembly-${VERSION}-dist.*"           "binaries"
+upload "trinidad-example-assembly-${VERSION}-example.*"        "binaries"
+upload "trinidad-${VERSION}-source-release.*" "source"

Modified: myfaces/trinidad/trunk/src/site/apt/download.apt
URL: http://svn.apache.org/viewvc/myfaces/trinidad/trunk/src/site/apt/download.apt?rev=1794336&r1=1794335&r2=1794336&view=diff
==============================================================================
--- myfaces/trinidad/trunk/src/site/apt/download.apt (original)
+++ myfaces/trinidad/trunk/src/site/apt/download.apt Mon May  8 11:37:23 2017
@@ -33,23 +33,43 @@ Download Apache MyFaces Trinidad
   created using GNU tar extensions. Thus they must be untarred with a GNU compatible
   version of tar.
 
-    << Apache MyFaces Trinidad 2.1.2 Distribution for JSF 2.1 >>
+  << Apache MyFaces Trinidad 2.2.0 Distribution for JSF 2.2 >>
+
+      Release notes can be found
+    {{{https://issues.apache.org/jira/secure/ReleaseNote.jspa?projectId=12310661&version=12340363}here}}.
+
+  *-------------------------+---------+----------+-----------+
+  |                         | Mirrors | Checksum | Signature |
+  *-------------------------+---------+----------+-----------+
+  | Apache MyFaces Trinidad 2.2.0 (tar.gz) | {{{http://www.apache.org/dyn/closer.cgi/myfaces/binaries/trinidad-assembly-2.2.0-dist.tar.gz}
trinidad-assembly-2.2.0-dist.tar.gz}} | {{{http://www.apache.org/dyn/closer.cgi/myfaces/binaries/trinidad-assembly-2.2.0-dist.tar.gz.md5}
trinidad--assembly-2.2.0-dist.tar.gz.md5}} | {{{http://www.apache.org/dyn/closer.cgi/myfaces/binaries/trinidad-assembly-2.2.0-dist.tar.gz.asc}
trinidad--assembly-2.2.0-dist.tar.gz.asc}} |
+  *-------------------------+---------+----------+-----------+
+  | Apache MyFaces Trinidad 2.2.0 (zip)    | {{{http://www.apache.org/dyn/closer.cgi/myfaces/binaries/trinidad-assembly-2.2.0-dist.zip}
trinidad-assembly-2.2.0-dist.zip}} | {{{http://www.apache.org/dyn/closer.cgi/myfaces/binaries/trinidad-assembly-2.2.0-dist.zip.md5}
trinidad-assembly-2.2.0-dist.zip.md5}} | {{{http://www.apache.org/dyn/closer.cgi/myfaces/binaries/trinidad-assembly-2.2.0-dist.zip.asc}
trinidad-assembly-2.2.0-dist.zip.asc}} |
+  *-------------------------+---------+----------+-----------+
+  | Apache MyFaces Trinidad 2.2.0 Example (tar.gz)    | {{{http://www.apache.org/dyn/closer.cgi/myfaces/binaries/trinidad-example-assembly-2.2.0-example.tar.gz}
trinidad-example-assembly-2.2.0-example.tar.gz}} | {{{http://www.apache.org/dyn/closer.cgi/myfaces/binaries/trinidad-example-assembly-2.2.0-example.tar.gz.md5}
trinidad-example-assembly-2.2.0-example.tar.gz.md5}} | {{{http://www.apache.org/dyn/closer.cgi/myfaces/binaries/trinidad-example-assembly-2.2.0-example.tar.gz.asc}
trinidad-example-assembly-2.2.0-example.tar.gz.asc}} |
+  *-------------------------+---------+----------+-----------+
+  | Apache MyFaces Trinidad 2.2.0 Example (zip)      | {{{http://www.apache.org/dyn/closer.cgi/myfaces/binaries/trinidad-example-assembly-2.2.0-example.zip}
trinidad-example-assembly-2.2.0-example.zip}} | {{{http://www.apache.org/dyn/closer.cgi/myfaces/binaries/trinidad-example-assembly-2.2.0-example.zip.md5}
trinidad-example-assembly-2.2.0-example.zip.md5}} | {{{http://www.apache.org/dyn/closer.cgi/myfaces/binaries/trinidad-example-assembly-2.2.0-example.zip.asc}
trinidad-example-assembly-2.2.0-example.zip.asc}} |
+  *-------------------------+---------+----------+-----------+
+  | Apache MyFaces Trinidad 2.2.0 Source (zip)       | {{{http://www.apache.org/dyn/closer.cgi/myfaces/source/trinidad-2.2.0-source-release.zip}
trinidad-2.2.0-source-release.zip}} | {{{http://www.apache.org/dyn/closer.cgi/myfaces/source/trinidad-2.2.0-source-release.zip.md5}
trinidad-2.2.0-source-release.zip.md5}} | {{{http://www.apache.org/dyn/closer.cgi/myfaces/source/trinidad-2.2.0-source-release.zip.asc}
trinidad-2.2.0-source-release.zip.asc}} |
+  *-------------------------+---------+----------+-----------+
+
+
+    << Apache MyFaces Trinidad 2.1.3 Distribution for JSF 2.1 >>
 
     Release notes can be found
-  {{{https://issues.apache.org/jira/secure/ReleaseNote.jspa?projectId=12310661&version=12325601}here}}.
+  {{{https://issues.apache.org/jira/secure/ReleaseNote.jspa?projectId=12310661&version=12339845}here}}.
   
 *-------------------------+---------+----------+-----------+
 |                         | Mirrors | Checksum | Signature |
 *-------------------------+---------+----------+-----------+
-| Apache MyFaces Trinidad 2.1.2 (tar.gz) | {{{http://www.apache.org/dyn/closer.cgi/myfaces/binaries/trinidad-assembly-2.1.2-dist.tar.gz}
trinidad-assembly-2.1.2-dist.tar.gz}} | {{{http://www.apache.org/dyn/closer.cgi/myfaces/binaries/trinidad-assembly-2.1.2-dist.tar.gz.md5}
trinidad--assembly-2.1.2-dist.tar.gz.md5}} | {{{http://www.apache.org/dyn/closer.cgi/myfaces/binaries/trinidad-assembly-2.1.2-dist.tar.gz.asc}
trinidad--assembly-2.1.2-dist.tar.gz.asc}} |
+| Apache MyFaces Trinidad 2.1.3 (tar.gz) | {{{http://www.apache.org/dyn/closer.cgi/myfaces/binaries/trinidad-assembly-2.1.3-dist.tar.gz}
trinidad-assembly-2.1.3-dist.tar.gz}} | {{{http://www.apache.org/dyn/closer.cgi/myfaces/binaries/trinidad-assembly-2.1.3-dist.tar.gz.md5}
trinidad--assembly-2.1.3-dist.tar.gz.md5}} | {{{http://www.apache.org/dyn/closer.cgi/myfaces/binaries/trinidad-assembly-2.1.3-dist.tar.gz.asc}
trinidad--assembly-2.1.3-dist.tar.gz.asc}} |
 *-------------------------+---------+----------+-----------+
-| Apache MyFaces Trinidad 2.1.2 (zip)    | {{{http://www.apache.org/dyn/closer.cgi/myfaces/binaries/trinidad-assembly-2.1.2-dist.zip}
trinidad-assembly-2.1.2-dist.zip}} | {{{http://www.apache.org/dyn/closer.cgi/myfaces/binaries/trinidad-assembly-2.1.2-dist.zip.md5}
trinidad-assembly-2.1.2-dist.zip.md5}} | {{{http://www.apache.org/dyn/closer.cgi/myfaces/binaries/trinidad-assembly-2.1.2-dist.zip.asc}
trinidad-assembly-2.1.2-dist.zip.asc}} |
+| Apache MyFaces Trinidad 2.1.3 (zip)    | {{{http://www.apache.org/dyn/closer.cgi/myfaces/binaries/trinidad-assembly-2.1.3-dist.zip}
trinidad-assembly-2.1.3-dist.zip}} | {{{http://www.apache.org/dyn/closer.cgi/myfaces/binaries/trinidad-assembly-2.1.3-dist.zip.md5}
trinidad-assembly-2.1.3-dist.zip.md5}} | {{{http://www.apache.org/dyn/closer.cgi/myfaces/binaries/trinidad-assembly-2.1.3-dist.zip.asc}
trinidad-assembly-2.1.3-dist.zip.asc}} |
 *-------------------------+---------+----------+-----------+
-| Apache MyFaces Trinidad 2.1.2 Example (tar.gz)    | {{{http://www.apache.org/dyn/closer.cgi/myfaces/binaries/trinidad-example-assembly-2.1.2-example.tar.gz}
trinidad-example-assembly-2.1.2-example.tar.gz}} | {{{http://www.apache.org/dyn/closer.cgi/myfaces/binaries/trinidad-example-assembly-2.1.2-example.tar.gz.md5}
trinidad-example-assembly-2.1.2-example.tar.gz.md5}} | {{{http://www.apache.org/dyn/closer.cgi/myfaces/binaries/trinidad-example-assembly-2.1.2-example.tar.gz.asc}
trinidad-example-assembly-2.1.2-example.tar.gz.asc}} |
+| Apache MyFaces Trinidad 2.1.3 Example (tar.gz)    | {{{http://www.apache.org/dyn/closer.cgi/myfaces/binaries/trinidad-example-assembly-2.1.3-example.tar.gz}
trinidad-example-assembly-2.1.3-example.tar.gz}} | {{{http://www.apache.org/dyn/closer.cgi/myfaces/binaries/trinidad-example-assembly-2.1.3-example.tar.gz.md5}
trinidad-example-assembly-2.1.3-example.tar.gz.md5}} | {{{http://www.apache.org/dyn/closer.cgi/myfaces/binaries/trinidad-example-assembly-2.1.3-example.tar.gz.asc}
trinidad-example-assembly-2.1.3-example.tar.gz.asc}} |
 *-------------------------+---------+----------+-----------+
-| Apache MyFaces Trinidad 2.1.2  Example (zip)      | {{{http://www.apache.org/dyn/closer.cgi/myfaces/binaries/trinidad-example-assembly-2.1.2-example.zip}
trinidad-example-assembly-2.1.2-example.zip}} | {{{http://www.apache.org/dyn/closer.cgi/myfaces/binaries/trinidad-example-assembly-2.1.2-example.zip.md5}
trinidad-example-assembly-2.1.2-example.zip.md5}} | {{{http://www.apache.org/dyn/closer.cgi/myfaces/binaries/trinidad-example-assembly-2.1.2-example.zip.asc}
trinidad-example-assembly-2.1.2-example.zip.asc}} |
+| Apache MyFaces Trinidad 2.1.3 Example (zip)      | {{{http://www.apache.org/dyn/closer.cgi/myfaces/binaries/trinidad-example-assembly-2.1.3-example.zip}
trinidad-example-assembly-2.1.3-example.zip}} | {{{http://www.apache.org/dyn/closer.cgi/myfaces/binaries/trinidad-example-assembly-2.1.3-example.zip.md5}
trinidad-example-assembly-2.1.3-example.zip.md5}} | {{{http://www.apache.org/dyn/closer.cgi/myfaces/binaries/trinidad-example-assembly-2.1.3-example.zip.asc}
trinidad-example-assembly-2.1.3-example.zip.asc}} |
 *-------------------------+---------+----------+-----------+
-| Apache MyFaces Trinidad 2.1.2  Source (zip)       | {{{http://www.apache.org/dyn/closer.cgi/myfaces/source/trinidad-2.1.2-source-release.zip}
trinidad-2.1.2-source-release.zip}} | {{{http://www.apache.org/dyn/closer.cgi/myfaces/source/trinidad-2.1.2-source-release.zip.md5}
trinidad-2.1.2-source-release.zip.md5}} | {{{http://www.apache.org/dyn/closer.cgi/myfaces/source/trinidad-2.1.2-source-release.zip.asc}
trinidad-2.1.2-source-release.zip.asc}} |
+| Apache MyFaces Trinidad 2.1.3 Source (zip)       | {{{http://www.apache.org/dyn/closer.cgi/myfaces/source/trinidad-2.1.3-source-release.zip}
trinidad-2.1.3-source-release.zip}} | {{{http://www.apache.org/dyn/closer.cgi/myfaces/source/trinidad-2.1.3-source-release.zip.md5}
trinidad-2.1.3-source-release.zip.md5}} | {{{http://www.apache.org/dyn/closer.cgi/myfaces/source/trinidad-2.1.3-source-release.zip.asc}
trinidad-2.1.3-source-release.zip.asc}} |
 *-------------------------+---------+----------+-----------+
 
     << Apache MyFaces Trinidad 2.0.2 Distribution for JSF 2.0 >>
@@ -66,9 +86,9 @@ Download Apache MyFaces Trinidad
 *-------------------------+---------+----------+-----------+
 | Apache MyFaces Trinidad 2.0.2 Example (tar.gz)    | {{{http://www.apache.org/dyn/closer.cgi/myfaces/binaries/trinidad-2.0.2-example.tar.gz}
trinidad-2.0.2-example.tar.gz}} | {{{http://www.apache.org/dyn/closer.cgi/myfaces/binaries/trinidad-2.0.2-example.tar.gz.md5}
trinidad-2.0.2-example.tar.gz.md5}} | {{{http://www.apache.org/dyn/closer.cgi/myfaces/binaries/trinidad-2.0.2-example.tar.gz.asc}
trinidad-2.0.2-example.tar.gz.asc}} |
 *-------------------------+---------+----------+-----------+
-| Apache MyFaces Trinidad 2.0.2  Example (zip)      | {{{http://www.apache.org/dyn/closer.cgi/myfaces/binaries/trinidad-2.0.2-example.zip}
trinidad-2.0.2-example.zip}} | {{{http://www.apache.org/dyn/closer.cgi/myfaces/binaries/trinidad-2.0.2-example.zip.md5}
trinidad-2.0.2-example.zip.md5}} | {{{http://www.apache.org/dyn/closer.cgi/myfaces/binaries/trinidad-2.0.2-example.zip.asc}
trinidad-2.0.2-example.zip.asc}} |
+| Apache MyFaces Trinidad 2.0.2 Example (zip)      | {{{http://www.apache.org/dyn/closer.cgi/myfaces/binaries/trinidad-2.0.2-example.zip}
trinidad-2.0.2-example.zip}} | {{{http://www.apache.org/dyn/closer.cgi/myfaces/binaries/trinidad-2.0.2-example.zip.md5}
trinidad-2.0.2-example.zip.md5}} | {{{http://www.apache.org/dyn/closer.cgi/myfaces/binaries/trinidad-2.0.2-example.zip.asc}
trinidad-2.0.2-example.zip.asc}} |
 *-------------------------+---------+----------+-----------+
-| Apache MyFaces Trinidad 2.0.2  Source (zip)       | {{{http://www.apache.org/dyn/closer.cgi/myfaces/source/trinidad-2.0.2-src-all.zip}
trinidad-2.0.2-src-all.zip}} | {{{http://www.apache.org/dyn/closer.cgi/myfaces/source/trinidad-2.0.2-src-all.zip.md5}
trinidad-2.0.2-src-all.zip.md5}} | {{{http://www.apache.org/dyn/closer.cgi/myfaces/source/trinidad-2.0.2-src-all.zip.asc}
trinidad-2.0.2-src-all.zip.asc}} |
+| Apache MyFaces Trinidad 2.0.2 Source (zip)       | {{{http://www.apache.org/dyn/closer.cgi/myfaces/source/trinidad-2.0.2-src-all.zip}
trinidad-2.0.2-src-all.zip}} | {{{http://www.apache.org/dyn/closer.cgi/myfaces/source/trinidad-2.0.2-src-all.zip.md5}
trinidad-2.0.2-src-all.zip.md5}} | {{{http://www.apache.org/dyn/closer.cgi/myfaces/source/trinidad-2.0.2-src-all.zip.asc}
trinidad-2.0.2-src-all.zip.asc}} |
 *-------------------------+---------+----------+-----------+
 
     << Apache MyFaces Trinidad 1.2.15 Distribution for JSF 1.2 >>
@@ -85,9 +105,9 @@ Download Apache MyFaces Trinidad
 *-------------------------+---------+----------+-----------+
 | Apache MyFaces Trinidad 1.2.15 Example (tar.gz)     | {{{http://www.apache.org/dyn/closer.cgi/myfaces/binaries/trinidad-1.2.15-example.tar.gz}
trinidad-1.2.15-example.tar.gz}} | {{{http://www.apache.org/dist/myfaces/binaries/trinidad-1.2.15-example.tar.gz.md5}
trinidad-1.2.15-example.tar.gz.md5}} | {{{http://www.apache.org/dist/myfaces/binaries/trinidad-1.2.15-example.tar.gz.asc}
trinidad-1.2.15-example.tar.gz.asc}} |
 *-------------------------+---------+----------+-----------+
-| Apache MyFaces Trinidad 1.2.15  Example (zip)      | {{{http://www.apache.org/dyn/closer.cgi/myfaces/binaries/trinidad-1.2.15-example.zip}
trinidad-1.2.15-example.zip}} | {{{http://www.apache.org/dist/myfaces/binaries/trinidad-1.2.15-example.zip.md5}
trinidad-1.2.15-example.zip.md5}} | {{{http://www.apache.org/dist/myfaces/binaries/trinidad-1.2.15-example.zip.asc}
trinidad-1.2.15-example.zip.asc}} |
+| Apache MyFaces Trinidad 1.2.15 Example (zip)      | {{{http://www.apache.org/dyn/closer.cgi/myfaces/binaries/trinidad-1.2.15-example.zip}
trinidad-1.2.15-example.zip}} | {{{http://www.apache.org/dist/myfaces/binaries/trinidad-1.2.15-example.zip.md5}
trinidad-1.2.15-example.zip.md5}} | {{{http://www.apache.org/dist/myfaces/binaries/trinidad-1.2.15-example.zip.asc}
trinidad-1.2.15-example.zip.asc}} |
 *-------------------------+---------+----------+-----------+
-| Apache MyFaces Trinidad 1.2.15  Source (zip)      | {{{http://www.apache.org/dyn/closer.cgi/myfaces/source/trinidad-1.2.15-src-all.zip}
trinidad-1.2.15-src-all.zip}} | {{{http://www.apache.org/dist/myfaces/source/trinidad-1.2.15-src-all.zip.md5}
trinidad-1.2.15-src-all.zip.md5}} | {{{http://www.apache.org/dist/myfaces/source/trinidad-1.2.15-src-all.zip.asc}
trinidad-1.2.15-src-all.zip.asc}} |
+| Apache MyFaces Trinidad 1.2.15 Source (zip)      | {{{http://www.apache.org/dyn/closer.cgi/myfaces/source/trinidad-1.2.15-src-all.zip}
trinidad-1.2.15-src-all.zip}} | {{{http://www.apache.org/dist/myfaces/source/trinidad-1.2.15-src-all.zip.md5}
trinidad-1.2.15-src-all.zip.md5}} | {{{http://www.apache.org/dist/myfaces/source/trinidad-1.2.15-src-all.zip.asc}
trinidad-1.2.15-src-all.zip.asc}} |
 *-------------------------+---------+----------+-----------+
 
     << Apache MyFaces Trinidad 1.0.13 Distribution  for JSF 1.1 >>
@@ -106,9 +126,9 @@ Trinidad 1.0.13 are considered deprecate
 *-------------------------+---------+----------+-----------+
 | Apache MyFaces Trinidad 1.0.13 Example (tar.gz)     | {{{http://www.apache.org/dyn/closer.cgi/myfaces/binaries/trinidad-1.0.13-example.tar.gz}
trinidad-1.0.13-example.tar.gz}} | {{{http://www.apache.org/dist/myfaces/binaries/trinidad-1.0.13-example.tar.gz.md5}
trinidad-1.0.13-example.tar.gz.md5}} | {{{http://www.apache.org/dist/myfaces/binaries/trinidad-1.0.13-example.tar.gz.asc}
trinidad-1.0.13-example.tar.gz.asc}} |
 *-------------------------+---------+----------+-----------+
-| Apache MyFaces Trinidad 1.0.13  Example (zip)      | {{{http://www.apache.org/dyn/closer.cgi/myfaces/binaries/trinidad-1.0.13-example.zip}
trinidad-1.0.13-example.zip}} | {{{http://www.apache.org/dist/myfaces/binaries/trinidad-1.0.13-example.zip.md5}
trinidad-1.0.13-example.zip.md5}} | {{{http://www.apache.org/dist/myfaces/binaries/trinidad-1.0.13-example.zip.asc}
trinidad-1.0.13-example.zip.asc}} |
+| Apache MyFaces Trinidad 1.0.13 Example (zip)      | {{{http://www.apache.org/dyn/closer.cgi/myfaces/binaries/trinidad-1.0.13-example.zip}
trinidad-1.0.13-example.zip}} | {{{http://www.apache.org/dist/myfaces/binaries/trinidad-1.0.13-example.zip.md5}
trinidad-1.0.13-example.zip.md5}} | {{{http://www.apache.org/dist/myfaces/binaries/trinidad-1.0.13-example.zip.asc}
trinidad-1.0.13-example.zip.asc}} |
 *-------------------------+---------+----------+-----------+
-| Apache MyFaces Trinidad 1.0.13  Source (zip)      | {{{http://www.apache.org/dyn/closer.cgi/myfaces/source/trinidad-1.0.13-src-all.zip}
trinidad-1.0.13-src-all.zip}} | {{{http://www.apache.org/dist/myfaces/source/trinidad-1.0.13-src-all.zip.md5}
trinidad-1.0.13-src-all.zip.md5}} | {{{http://www.apache.org/dist/myfaces/source/trinidad-1.0.13-src-all.zip.asc}
trinidad-1.0.13-src-all.zip.asc}} |
+| Apache MyFaces Trinidad 1.0.13 Source (zip)      | {{{http://www.apache.org/dyn/closer.cgi/myfaces/source/trinidad-1.0.13-src-all.zip}
trinidad-1.0.13-src-all.zip}} | {{{http://www.apache.org/dist/myfaces/source/trinidad-1.0.13-src-all.zip.md5}
trinidad-1.0.13-src-all.zip.md5}} | {{{http://www.apache.org/dist/myfaces/source/trinidad-1.0.13-src-all.zip.asc}
trinidad-1.0.13-src-all.zip.asc}} |
 *-------------------------+---------+----------+-----------+
 
 Latest source code from SVN repository



Mime
View raw message